<?php

/**
 * ****************************************************************************
 * Copyright  (c) chaoscontrol.org
 * Author     Chris Sprague (chris@chaoscontrol.org)
 * License    GNU GPL (http://www.gnu.org/licenses/gpl)
 * Version    0.1.0
 * ****************************************************************************
 * LICENSE: 
 * This program is free software; you can redistribute it 
 * and/or modify it under the terms of the GNU General Public License 
 * as published by the Free Software Foundation; either version 2 of 
 * the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * ****************************************************************************
 * DESCRIPTION: 
 * Displays the current security advisory status from the US Department of 
 * Homeland Security (http://www.dhs.gov).
 * ****************************************************************************
 */


/**
 * Variables
 */

   // Directory Path to Advisory Images
   $imgPath = "./images/";

         // Some Examples of $imgPath:
         //    $imgPath = "http://mywebsite.com/images/";
         //    $imgPath = "/images/";
         //    $imgPath = "./dhs/images/";

   // Image File Extension
   $imgExt = ".png";

   // DHS Advisory XML File
   $defCon = "http://www.dhs.gov/dhspublic/getAdvisoryCondition";

/**
 * Get Current Condition
 */
   
   if ($getCon = trim(implode('', file($defCon)))) {
      $regex = eregi("THREAT_ADVISORY CONDITION\=\"([a-z]+)\"", $getCon, $threat);
      $condition = strtolower($threat[1]); 
   }

/**
 * Display Condition
 */

   if ($condition) {

      // This is what gets displayed.
      // You'll probably want to add some CSS to style it up 
      echo "<img src='". $imgPath ."". $condition ."". $imgExt ."' alt='". $condition ."' />";

   }

?>
